### Method

# AppStream Metadata set_architecture

#### Declaration [src]

    void
    as_metadata_set_architecture (
      AsMetadata* metad,
      const gchar* arch
    )

#### Description [src]

Set the architecture the components in this metadata belong to.

#### Parameters

`arch`

  Type: `const gchar*`

  An architecture string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.